import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:sudoku/cubit/game_cubit.dart';
import 'package:sudoku/models/game/game.dart';
import 'package:sudoku/ui/widgets/game/bar_select_cell_value.dart';

class GameBottomWidget extends StatelessWidget {
  const GameBottomWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        return currentGame.isFinished ? const SizedBox.shrink() : const SelectCellValueBar();
      },
    );
  }
}
