import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:sudoku/cubit/game_cubit.dart';
import 'package:sudoku/models/game/game.dart';
import 'package:sudoku/ui/widgets/game/button_show_conflicts.dart';
import 'package:sudoku/ui/widgets/game/button_show_tip.dart';

class GameTopWidget extends StatelessWidget {
  const GameTopWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        return SizedBox(
          height: 60,
          child: (currentGame.isRunning && !currentGame.isFinished)
              ? const Row(
                  mainAxisAlignment: MainAxisAlignment.end,
                  crossAxisAlignment: CrossAxisAlignment.center,
                  children: [
                    ButtonShowTip(),
                    ButtonShowConflicts(),
                  ],
                )
              : const SizedBox.shrink(),
        );
      },
    );
  }
}
